Name: x11-driver-video-vesa
Version: 1.3.0
Release: %mkrel 2
Summary: The X.org driver for Generic VESA Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2
Patch0: x11-driver-video-vesa-randr_crash.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for Generic VESA Cards


%prep
%setup -q -n xf86-video-vesa-%{version}
%patch0 -p1 -b .randr

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/vesa_drv.la
%{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4.bz2


%changelog
* Tue Feb 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0-2mdv2007.0
+ Revision: 120629
- fix a crash / screen corruption when changing resolution via randr

* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-1mdv2007.1
+ Revision: 89705
- new release
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release (1.2.1):
      *  Don't call VBEGetSetDACPaletteFormat when in direct colour or YUV modes.
    - new upstream release (1.2.0):
      * Fix ShadowFB support to work with recent miext/shadow changes
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

